> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns project templates.

GET https://api.awork.com/api/v1/projecttemplates

Returns project templates. Each template includes its configured project defaults. The user must have permission to access the requested resource.

Reference: https://developers.awork.com/apiv1/project-templates/get-project-templates

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `page` (integer, optional, default: 1) — Page number for pagination
- `pageSize` (integer, optional, default: 10) — Number of items per page
- `orderby` (string, optional) — The properties to order by
- `filterby` (string, optional) — The filter expression to filter by

## Response

### 200

OK

- `list of ProjectTemplate`

## Types

### ProjectTemplate

The project type model.

- `id` (string, optional) — The id of the template.
- `name` (string, optional, nullable) — The name of the template.
- `description` (string, optional, nullable) — The description that will be used for the project created from this template. It will be appended to the project description provided by the user.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.
- `isBillableByDefault` (string, optional, nullable) — Whether project times should be billable by default, if the project was created by this template. Can be 'on', 'off', or 'auto'.
- `defaultTaskListIdForEmails` (string, optional, nullable) — The id references the task list, which is used to assign tasks created by email to.
- `hasImage` (boolean, optional) — Whether the project template has an image in the files service.
- `copyImageToProjectOnCreation` (boolean, optional) — Whether the template image should be copied to the project during project creation. If the template has no image, no image is copied. No image is copied from the client.
- `projectTypeId` (string, optional, nullable) — The id of the project type.
- `workflowId` (string, optional, nullable) — The id of the workflow linked to this template.
- `timeBudget` (integer, optional) — The amount of time budgeted for the project in seconds.
- `hasRelativeTasks` (boolean, optional) — True if any of the tasks of the template has relative dates.
- `projectStatuses` (list of ProjectStatus, optional, nullable, deprecated) — Deprecated. Use `GET /projectTemplates/{projectTemplateId}/projectStatuses` instead. The list of project statuses associated with the template. This can be either workflow statuses or template-specific statuses depending on whether the template is linked to a workflow or not.

### ProjectStatus

- `id` (string, optional) — The primary identifier of this project status.
- `name` (string, optional, nullable) — The name of the project status.
- `type` (string, optional, nullable) — The general type of this project status.
- `isArchived` (boolean, optional) — Indicates whether this status is archived.
- `order` (integer, optional, nullable) — The order of this status.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `projectTemplateId` (string, optional, nullable) — The id of the project template of the status.
- `projectId` (string, optional, nullable) — The id of the project the status belongs to.
- `workflowId` (string, optional, nullable) — The id of the workflow linked to this project status.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.
- `isExternal` (boolean, optional) — True if the project status is coming from an external workspace (awork Connect).

## Examples

**Response**

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Website Design Project",
    "description": "A website design project created from a template",
    "createdOn": "2024-01-15T09:30:00Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2024-01-15T09:30:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "isBillableByDefault": "auto",
    "defaultTaskListIdForEmails": "123e4567-e89b-12d3-a456-426614174000",
    "hasImage": true,
    "copyImageToProjectOnCreation": true,
    "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
    "workflowId": "123e4567-e89b-12d3-a456-426614174000",
    "timeBudget": 1,
    "hasRelativeTasks": true,
    "projectStatuses": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "In Progress",
        "type": "progress",
        "isArchived": true,
        "order": 2,
        "createdOn": "2024-01-15T09:30:00Z",
        "createdBy": "123e4567-e89b-12d3-a456-426614174000",
        "updatedOn": "2024-01-15T09:30:00Z",
        "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
        "projectId": "123e4567-e89b-12d3-a456-426614174000",
        "workflowId": "123e4567-e89b-12d3-a456-426614174000",
        "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
        "isExternal": true
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projecttemplates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projecttemplates';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projecttemplates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projecttemplates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/projecttemplates")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/projecttemplates', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projecttemplates");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projecttemplates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```